QGIS Application - Feature request #6231
Should be able to use groups/filter etc to select styles for import/export
2012-08-20 11:12 PM - Alister Hood

Status: Open

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 15540
Description

In the "Styles import/export" dialogue all the styles are mixed up, regardless of the type of style (Marker, line, etc), the group, or whether
they are your own custom styles or predefined ones that come with QGIS. There is no way of sorting or filtering - all you can do is "select
all", or go through manually and select the ones you want.

There really should be a way to use the capabilities of the main style manager dialogue (filtering, grouping, and the tabs for different types
of style) to select the styles for import/export.

I don't know how the gui for this would be best done - maybe just a tool in the main style manager dialogue to mark styles for
export/import, then when you've marked all the ones you want you hit the export/import button. Maybe multiple selection is sufficient for
this... | guess things can remain selected when you click on another tab, but what about when it is hidden because you change the filter?

History

#1 - 2012-08-21 02:47 AM - Giovanni Manghi
- Target version set to Version 2.0.0

#2 - 2012-10-06 02:20 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No
